std::indirectly_comparable(3cxx)

NAME
std::indirectly_comparable - [alg.req.ind.cmp], concept indirectly_comparable

SYNOPSIS

#include <iterator_concepts.h>

Concept definition

template<typename _I1, typename _I2, typename _Rel, typename _P1 identity, typename _P2 identity>
concept std::indirectly_comparable =  indirect_binary_predicate<_Rel, projected<_I1, _P1>,
                                  projected<_I2, _P2>>

Detailed Description

[alg.req.ind.cmp], concept indirectly_comparable

Author

Generated automatically by Doxygen for libstdc++ from the source code.